mechanicHitAnimation = {
	"mechanic_hit_1.png",
	"mechanic_hit_1.png",
	"mechanic_hit_1.png",
	"mechanic_hit_1.png",
	"mechanic_hit_2.png",
	"mechanic_hit_2.png",
	"mechanic_hit_2.png",
	"mechanic_hit_3.png",
	"mechanic_hit_3.png",
	"mechanic_hit_3.png"
}

SwimmerEnemy = class(KidEnemy, function(o, x, y, world)
	KidEnemy.init(o, x, y, world, {runAnimation=swimmerRunAnimation, hitAnimation=swimmerHitAnimation, settingName='swimmer_'})
end)

MechanicEnemy = class(KidEnemy, function(o, x, y, world)
	KidEnemy.init(o, x, y, world, {runAnimation=mechanicRunAnimation, hitAnimation=mechanicHitAnimation, settingName='mechanic_', rate=41, tint={200, 200, 255}})
end)
MechanicAngryEnemy = class(KidEnemy, function(o, x, y, world)
	KidEnemy.init(o, x, y, world, {runAnimation=mechanicRunAnimation, hitAnimation=mechanicHitAnimation, settingName='mechanic_angry_', tint={255, 150, 150}, rate=41})
end)
MechanicZombieEnemy = class(KidEnemy, function(o, x, y, world)
	KidEnemy.init(o, x, y, world, {runAnimation=mechanicRunAnimation, hitAnimation=mechanicHitAnimation, settingName='mechanic_zombie', tint={150, 255, 150}, rate=41})
end)